App::KGB::Client::RelayMsg(3pm)

NAME
App::KGB::Client::RelayMsg - Simple message relay KGB client

SYNOPSIS
    use App::KGB::Client::RelayMsg;
    my $client = App::KGB::Client::RelayMsg->new(
        # common App::KGB::Client parameters
        repo_id => 'my-repo',
        ...
        relay_message => "It's alive!",
    );
    $client->process;

DESCRIPTION
App::KGB::Client::RelayMsg passes a simple text message to the bot to put on IRC. It is useful for notifications not connected with a source repository like bug submission etc.

See also kgb-client(1)'s "--relay-msg" option.

CONSTRUCTOR

  new ()
Standard constructor. Accepts no arguments.

FIELDS

relay_message message (mandatory)
    The message to relay.

METHODS

process
    Overrides App::KGB::Client's process method.